Subject: Re: [RFC/WIP PATCH 08/11] transport: connect_setup appends protocol version number

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 May 2015 22:09:45 -0700

Stefan Beller <[email-masked]> writes:

> On Tue, May 26, 2015 at 3:21 PM, Junio C Hamano <[email-masked]> wrote:
>
>>
>>         if (...->version < 2) {
>>                 ... append "-%d" ...
>>         }
>>
>> involved.
>
> Oh! I see here you would count the current one as 1, which has no
> number extension, and any further would have a -${version}. That
> would transport the intention much better I guess.

Yeah, except that I screwed up my comparison.  Obviously, I should
have said "If version is 2 or later, then append -%d to the name,
otherwise use the name as-is".